<?php

namespace domain\Order\ProductOrder;

use domain\_\AbstractModule;

class ProductOrderModule extends AbstractModule
{
    public function getServices(): array
    {
        return [
            ProductOrderDefinition::class,
            ProductOrderSolver::class,
            ProductOrderRepository::class,
            ProductOrderBuilder::class,
        ];
    }

    public function getDefinition(): ProductOrderDefinition
    {
        return ProductOrderDefinition::getInstance();
    }

    public function getSolver(): ProductOrderSolver
    {
        return ProductOrderSolver::getInstance();
    }

    public function getRepository(): ProductOrderRepository
    {
        return ProductOrderRepository::getInstance();
    }

    public function getBuilder(): ProductOrderBuilder
    {
        return ProductOrderBuilder::getInstance();
    }
}